@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";

main {
  .header {
    margin: 5em 0;
    width: 75%;
    @include media-breakpoint-up(lg) {
      width: 50%;
    }
  }

  .pricing-list {
    @include media-breakpoint-up(lg) {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .item {
      padding: 3em 2em;
      text-align: center;
      margin-right: .2em;
      transition: all ease-in-out 100ms;
      background-color: #fff;

      @include media-breakpoint-down(lg) {
        margin-bottom: 1em;
      }

      ul {
        list-style: none;
        padding: 0;
        margin: 0 0 2em 0;

        li {
          span {
            color: #333333;
            margin-left: .3em;
            font-size: .8rem;
          }

          i {
            color: #00a304;
          }
        }
      }

      button {
        display: block;
        margin: 0 auto;
      }

      .price, .plan {
        font-weight: 600;
      }

      .price {
        font-size: 3.5rem;
        color: #333333;

        .currency {
          font-size: 1.3rem;
          margin-right: .2em;
        }

        .duration {
          font-size: 1rem;
          color: #656565;
        }
      }


      &.recommended {
        border: 2px solid #27ab2b;
        padding: 3em 2em;
        @include media-breakpoint-up(lg) {
          box-shadow: 1px 0 20px rgba(51, 51, 51, .23);
        }
        position: relative;

        .label {
          span {
            background-color: gold;
            padding: .35em .8em;
            border-radius: 10px;
            font-weight: 600;
            font-size: .9rem;
            color: #333333;
          }
        }
      }
    }
  }
}
